javax.batch.operations

## Class JobSecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.JobSecurityException

All Implemented Interfaces:
  Serializable

    public class JobSecurityException
    extends BatchRuntimeException

SecurityException is thrown when an user is not authorized to run a JobOperator method, such as restart, stop, abandon, any getters, etc.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobSecurityException()`
`JobSecurityException(String message)`
`JobSecurityException(String message, Throwable cause)`
`JobSecurityException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobSecurityException

    public JobSecurityException()

#### JobSecurityException

    public JobSecurityException(String message)

#### JobSecurityException

    public JobSecurityException(Throwable cause)

#### JobSecurityException

    public JobSecurityException(String message,
                        Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0